HermesProxy.h File Reference
`#include <gnuradio/io_signature.h>`

Go to the source code of this file.

## Classes

class | HermesProxy

## Macros

#define | NUMRXIQBUFS 128
#define | RXBUFSIZE 256
#define | NUMTXBUFS 128
#define | TXBUFSIZE 512
#define | TXINITIALBURST 4
#define | MAXRECEIVERS 8

## Typedefs

typedef float * | IQBuf_t
typedef unsigned char * | RawBuf_t

## Enumerations

enum | { PTTOff , PTTVox , PTTOn }

## Macro Definition Documentation

## MAXRECEIVERS

#define MAXRECEIVERS 8

## NUMRXIQBUFS

#define NUMRXIQBUFS 128

## NUMTXBUFS

#define NUMTXBUFS 128

## RXBUFSIZE

#define RXBUFSIZE 256

## TXBUFSIZE

#define TXBUFSIZE 512

## TXINITIALBURST

#define TXINITIALBURST 4

## Typedef Documentation

## IQBuf_t

typedef float* IQBuf_t

## RawBuf_t

typedef unsigned char* RawBuf_t

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
PTTOff |
PTTVox |
PTTOn |